.custom-parallax-section {
    position: relative;
    height: 100vh;
    width: 100%;
    overflow: hidden;
}

.parallax-container-2 {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    clip: rect(0, auto, auto, 0);
    -webkit-clip-path: inset(0 0 0 0);
    clip-path: inset(0 0 0 0);
}

.parallax-background-2 {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-image: url('../img/DarshanImage5.webp');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    transform: translateZ(0);
    -webkit-transform: translateZ(0);
    will-change: transform;
}

@media (max-width: 768px) {
    .parallax-background-2 {
        position: fixed;
        background-image: url('../img/darshan-mobile-parallax1.jpg');
        height: 100vh;
        background-position: center;
        transform: translateZ(0);
        -webkit-transform: translateZ(0);
    }
}

/* Optional: Add if you need content on top of parallax */
.parallax-content-2 {
    position: relative;
    z-index: 1;
}